Get Webhooks

Get a list of webhooks

get

Gets details about all webhooks registered on the integration.

Authorizations
AuthorizationstringRequired
Header parameters
x-api-keystringRequired
Responses
chevron-right
200

Returns a list of webhooks.

application/json

Contains webhook details as a response of listing webhooks.

get
/v1/webhooks

Get a specific webhook by event type

get

Gets details about a specific webhook based on event type

Authorizations
AuthorizationstringRequired
Path parameters
eventTypestringRequired
Header parameters
x-api-keystringRequired
Responses
chevron-right
200

Returns the requested webhook.

application/json

Contains details about a webhook.

namestring · nullableOptional

The name of the webhook.

urlstring · nullableOptional

URL for the webhook to send events to.

eventTypesstring[] · nullableOptional

List of event types this webhook subscribes on.

enabledboolean · nullableOptional

Indicates the status of the webhook. If true events will be sent on the webhook, otherwise (false) event sendout is disabled.

idstring · uuidOptional

The webhook id.

get
/v1/webhooks/{eventType}

Get a specific webhook by its id

get

Gets details about a specific webhook.

Authorizations
AuthorizationstringRequired
Path parameters
webhookIdstringRequired
Header parameters
x-api-keystringRequired
Responses
chevron-right
200

Returns the requested webhook.

application/json

Contains details about a webhook.

namestring · nullableOptional

The name of the webhook.

urlstring · nullableOptional

URL for the webhook to send events to.

eventTypesstring[] · nullableOptional

List of event types this webhook subscribes on.

enabledboolean · nullableOptional

Indicates the status of the webhook. If true events will be sent on the webhook, otherwise (false) event sendout is disabled.

idstring · uuidOptional

The webhook id.

get
/v1/webhooks/{webhookId}

Last updated